
        IDEAL
        DOSSEG
        MODEL   small
        STACK   256

        DATASEG

datefill        db      ('0m/0d/year'),0dh,0ah,'$'    

        CODESEG

Start:  
        MOV     AX,@DATA                ; Initialize DS to address
        MOV     DS,AX                   ;  of data segment
        MOV     ES,AX                   ; Make es=ds

        STD                             ; Set write direction              
        
        MOV     AH,2Ah                  ; Dos "get date"
        INT     21h                     ; Sa
        PUSH    AX                      ;    ve
        PUSH    DX                      ;        Date
        PUSH    CX       
        POP     AX                      ; Load year
        MOV     di, offset datefill+9   ; Set stage for year          
        CALL    oneone                  ; Subroutine

        POP     AX                      ; Get day in AL       
        PUSH    AX                      ; Save month (now in AH)
        XOR     AH,AH                   ; Month not needed yet so dump
        MOV     DI, offset datefill+4   ; Set stage for placing day in memory        
        CALL    oneone                  ; Stash day

        POP     AX                      ; Go for month
        XCHG    AH,AL                   ; put month in AL
        XOR     AH,AH                   ; Zero AH
        MOV     DI, offset datefill+1   ; Point to date location in memory        
        CALL    oneone                  ; Put date
 
        MOV     AH,01                   ; Clear printer on LPT1
        MOV     DX,0000                     
        INT     17h                             
                                            
        MOV     AH,40h                      ; Send String to printer      
        MOV     BX,04                               
        MOV     CX,0Ch
        MOV     DX,offset datefill
        INT     21h
                                        
Exit:
        MOV     AH,04Ch                 ; DOS function: Exit program
        INT     21h                     ; Call DOS.  Seeya' later

proc    oneone

        MOV     CX,000Ah                ; Ready to convert to decimal

twotwo:
                                        
        SUB     DX,DX                   ; C
        DIV     CX                      ;   o
        XCHG    DX,AX                   ;    n
        ADD     AL,30h                  ;     v
        STOSB                           ;      e
        XCHG    DX,AX                   ;       r
        CMP     AX,0000                 ;        t  to decimal then to ascii decimal
        JNZ     twotwo                  ; And put in location pointed to by DS:DI
        RET              

ENDP    oneone

END     start


